get_gas_prices:
  fields:
    config_entry:
      required: true
      selector:
        config_entry:
          integration: easyenergy
    incl_vat:
      required: true
      default: true
      selector:
        boolean:
    start:
      required: false
      example: "2024-01-01 00:00:00"
      selector:
        datetime:
    end:
      required: false
      example: "2024-01-01 00:00:00"
      selector:
        datetime:
get_energy_usage_prices:
  fields:
    config_entry:
      required: true
      selector:
        config_entry:
          integration: easyenergy
    incl_vat:
      required: true
      default: true
      selector:
        boolean:
    start:
      required: false
      example: "2024-01-01 00:00:00"
      selector:
        datetime:
    end:
      required: false
      example: "2024-01-01 00:00:00"
      selector:
        datetime:
get_energy_return_prices:
  fields:
    config_entry:
      required: true
      selector:
        config_entry:
          integration: easyenergy
    start:
      required: false
      example: "2024-01-01 00:00:00"
      selector:
        datetime:
    end:
      required: false
      example: "2024-01-01 00:00:00"
      selector:
        datetime:
